.\" Copyright 1993 David Metcalfe (david@prism.demon.co.uk)
.\"
.\" Permission is granted to make and distribute verbatim copies of this
.\" manual provided the copyright notice and this permission notice are
.\" preserved on all copies.
.\"
.\" Permission is granted to copy and distribute modified versions of this
.\" manual under the conditions for verbatim copying, provided that the
.\" entire resulting derived work is distributed under the terms of a
.\" permission notice identical to this one
.\" 
.\" Since the Linux kernel and libraries are constantly changing, this
.\" manual page may be incorrect or out-of-date.  The author(s) assume no
.\" responsibility for errors or omissions, or for damages resulting from
.\" the use of the information contained herein.  The author(s) may not
.\" have taken the same level of care in the production of this manual,
.\" which is licensed free of charge, as they might when working
.\" professionally.
.\" 
.\" Formatted or processed versions of this manual, if unaccompanied by
.\" the source, must acknowledge the copyright and authors of this work.
.\"
.\" References consulted:
.\"     Linux libc source code
.\"     Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991)
.\"     386BSD man pages
.\" Modified Sat Jul 24 18:45:17 1993 by Rik Faith (faith@cs.unc.edu)
.TH PSIGNAL 3  "April 13, 1993" "GNU" "Linux Programmer's Manual"
.SH NAME
psignal \- print signal message
.SH SYNOPSIS
.nf
.B #include <signal.h>
.sp
.BI "void psignal(int " sig ", const char *" s );
.sp
.BI "extern const char *const " sys_siglist []
.fi
.SH DESCRIPTION
The \fBpsignal()\fP function displays a message on \fIstderr\fP
consisting of the string \fIs\fP, a colon, a space, and a string
describing the signal number \fIsig\fP.  If \fIsig\fP is invalid,
the message displayed will indicate an unknown signal.
.PP
The array \fIsys_siglist\fP holds the signal description strings
indexed by signal number.
.SH "RETURN VALUE"
The \fBpsignal()\fP function returns no value.
.SH "CONFORMING TO"
BSD 4.3
.SH "SEE ALSO"
.BR perror "(3), " strsignal (3)
